<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Quản lý thú cưng</title>
    <link rel="stylesheet" href="admin.css">
    <!-- Tempusdominus Bootstrap 4 -->
    <link rel="stylesheet" href="plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css">
    <!-- DataTables -->
    <link rel="stylesheet" href="plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
    <link rel="stylesheet" href="plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
    <link rel="stylesheet" href="plugins/datatables-buttons/css/buttons.bootstrap4.min.css">

    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <style>
        .overlay {
            position: fixed;
            width: 100%;
            height: 100%;
            z-index: 1051;
            opacity: 0.5;
            background: var(--light);
            display: flex;
            justify-content: center;
            align-items: center;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini" onload="onPageLoading()">
    <div class="overlay">
        <div class="spinner-border" role="status" style="width: 3rem; height: 3rem; z-index: 20;">
            <span class="sr-only">Loading...</span>
        </div>
    </div>

    <div class="wrapper">
        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand navbar-white navbar-light">
            <!-- Left navbar links -->
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
                </li>
            </ul>

            <!-- Right navbar links -->
            <ul class="navbar-nav ml-auto">
                <!-- Navbar Search -->
                <li class="nav-item">
                    <a class="nav-link" data-widget="navbar-search" href="#" role="button">
                        <i class="fas fa-search"></i>
                    </a>
                    <div class="navbar-search-block">
                        <form class="form-inline">
                            <div class="input-group input-group-sm">
                                <input class="form-control form-control-navbar" type="search" placeholder="Search"
                                    aria-label="Search">
                                <div class="input-group-append">
                                    <button class="btn btn-navbar" type="submit">
                                        <i class="fas fa-search"></i>
                                    </button>
                                    <button class="btn btn-navbar" type="button" data-widget="navbar-search">
                                        <i class="fas fa-times"></i>
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </li>

                <li class="nav-item">
                    <a class="nav-link" data-widget="fullscreen" href="#" role="button">
                        <i class="fas fa-expand-arrows-alt"></i>
                    </a>
                </li>
            </ul>
        </nav>
        <!-- /.navbar -->

        <!-- Main Sidebar Container -->
        <aside class="main-sidebar sidebar-dark-primary elevation-4">
            <!-- Brand Logo -->
            <a href="/" class="brand-link">
                <img src="images/brand-logosvg.svg" alt="PucciMart Logo" class="brand-image img-circle elevation-3">
                <span class="brand-text font-weight-light">PUCCI MART</span>
            </a>

            <!-- Sidebar -->
            <div class="sidebar">
                <!-- Sidebar user (optional) -->
                <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                    <div class="image">
                        <img src="images/avatar.png" class="img-circle elevation-2" alt="User Image">
                    </div>
                    <div class="info">
                        <a href="#" class="d-block">NganHuynh</a>
                    </div>
                </div>

                <!-- Sidebar Menu -->
                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu"
                        data-accordion="false">
                        <li class="nav-item menu-open menu-open-css">
                            <a href="/admin.html" class="nav-link nav-link-css active">
                                <i class="nav-icon fas fa-tachometer-alt"></i>
                                <p>Pet Management</p>
                            </a>
                        </li>
                    </ul>
                </nav>
                <!-- /.sidebar-menu -->
            </div>
            <!-- /.sidebar -->
        </aside>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Main content -->
            <section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12">
                            <div class="card">
                                <div class="card-header">
                                    <h2 class="card-title pet-title">Pet Management</h2>
                                </div>
                                <div class="btn-add-wrap btn-css btn">
                                    <button onclick="createNewPet()" type="button" class="btn btn-block btn-light"
                                        id="btn-add-pet"><i class="fa-solid fa-paw"></i>&nbsp Add New
                                        Pet</button>
                                </div>

                                <!-- /.card-header -->
                                <div class="card-body" id="card-body-wrap">
                                    <div class="div-select-type" hidden>
                                        <select class="btn-block form-control" name="type" id="select-type"
                                            onchange="callApiGetPetByFilter(0)">
                                            <option value="">Select type</option>
                                            <option value="Dog">Dog</option>
                                            <option value="Cat">Cat</option>
                                            <option value="Fish">Fish</option>
                                            <option value="Bird">Bird</option>
                                            <option value="Rabbit">Rabbit</option>
                                        </select>

                                    </div>
                                    <div class="group-control min-price" hidden>
                                        <label for="input-min-price">Min</label>
                                        <input onchange="callApiGetPetByFilter(0)" class="form-control"
                                            id="input-min-price" type="number" placeholder="$">
                                    </div>
                                    <div class="group-control max-price" hidden>
                                        <label for="input-max-price">Max</label>
                                        <input onchange="callApiGetPetByFilter(0)" class="form-control"
                                            id="input-max-price" type="number" placeholder="$">
                                    </div>

                                    <table id="example1" class="table table-bordered table-striped">

                                        <tbody>

                                        </tbody>

                                    </table>
                                </div>
                                <!-- /.card-body -->
                            </div>
                            <!-- /.card -->
                        </div>
                        <!-- /.col -->
                    </div>
                    <!-- /.row -->
                </div>
                <!-- /.container-fluid -->


                <!--  MODAL CREATE & EDIT PET -->
                <div class="modal modal-create-edit" tabindex="-1" id="modal-create-edit-pet">
                    <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable modal-lg">
                        <div class="modal-content">
                            <div class="modal-header ">
                                <h2 class="modal-title text-light mr-3" style="margin:auto"><b>PET DETAIL</b>
                                </h2>
                                <button type="button" class="close text-white btn-close" data-dismiss="modal"
                                    aria-label="Close">
                                    <span class="text-white" aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <form class="form-wrap">
                                    <div class="row mb-2 row-pet">
                                        <div class="col-8">
                                            <div class="form-group mb-2">
                                                <label for="input-create-edit-name">Name<span class="text-danger">
                                                        *</span></label>
                                                <input type="text" class="form-control" id="input-create-edit-name"
                                                    placeholder="Enter name">
                                                <div class="invalid-feedback"></div>
                                            </div>
                                            <div class="form-group mb-2">
                                                <label for="input-create-edit-type">Type<span class="text-danger">
                                                        *</span></label>
                                                <select name="type" id="input-create-edit-type" class="form-control">
                                                    <option value="">Select type</option>
                                                    <option value="Dog">Dog</option>
                                                    <option value="Cat">Cat</option>
                                                    <option value="Fish">Fish</option>
                                                    <option value="Bird">Bird</option>
                                                    <option value="Rabbit">Rabbit</option>
                                                </select>
                                                <div class="invalid-feedback" id="invalid-feedback-type"></div>
                                            </div>
                                            <div class="form-group mb-2">
                                                <label for="input-create-edit-ImageUrl">ImageUrl<span
                                                        class="text-danger">
                                                        *</span></label>
                                                <input type="text" class="form-control" onchange="choosePetImage()"
                                                    id="input-create-edit-ImageUrl" placeholder="Enter link image">
                                                <div class="invalid-feedback"></div>
                                            </div>
                                        </div>
                                        <div class="col-4 pet-image-wrap">
                                            <label id="label-pet-image" for="input-pet-image" class="border">
                                                <div class="choose-pet-image">Pet image</div>
                                                <img id="pet-image" src="" alt=""
                                                    style="display:none;width:14.2rem;height:14.2rem">
                                            </label>
                                            <div class="invalid-feedback-css" hidden></div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-4 form-group">
                                            <div id="price-wrap">
                                                <label for="input-create-edit-price">Price<span class="text-danger">
                                                        *</span></label>
                                                <input type="number" class="form-control" id="input-create-edit-price">
                                                <div class="invalid-feedback"></div>
                                            </div>

                                        </div>
                                        <div class="col-4 form-group">
                                            <label for="input-create-edit-promotion-price">Promotion
                                                Price<span class="text-danger">
                                                    *</span></label>
                                            <input type="number" class="form-control"
                                                id="input-create-edit-promotion-price">
                                            <div class="invalid-feedback" id="promotion-price-invalid-feedback"></div>
                                        </div>

                                        <div class="col-4 form-group">
                                            <label for="input-create-edit-discount">Discount</label>
                                            <input type="number" class="form-control" id="input-create-edit-discount">
                                            <div class="invalid-feedback "></div>
                                        </div>
                                    </div>
                                    <!-- <div class="row mb-1">
                                        <div class="col-6 form-group">
                                            <label for="input-create-edit-date">Create Date</label>
                                            <div class="input-group date" id="reservationdate1"
                                                data-target-input="nearest">
                                                <input type="text" class="form-control datetimepicker-input"
                                                    data-target="#reservationdate1" id="input-create-edit-date"
                                                    placeholder="dd/mm/yyyy" />
                                                <div class="input-group-append" data-target="#reservationdate1"
                                                    data-toggle="datetimepicker">
                                                    <div class="input-group-text"><i class="fa fa-calendar"></i>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="invalid-feedback " id="createDate-invalid-feedback"></div>
                                        </div>

                                        <div class="col-6 form-group">
                                            <label for="input-create-edit-update-date">Update Date</label>
                                            <div class="input-group date" id="reservationdate2"
                                                data-target-input="nearest">
                                                <input type="text" class="form-control datetimepicker-input"
                                                    data-target="#reservationdate2" id="input-create-edit-update-date"
                                                    placeholder="dd/mm/yyyy" />
                                                <div class="input-group-append" data-target="#reservationdate2"
                                                    data-toggle="datetimepicker">
                                                    <div class="input-group-text"><i class="fa fa-calendar"></i>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="invalid-feedback " id="createDate-invalid-feedback"></div>
                                        </div>
                                    </div> -->
                                    <div class="form-group">
                                        <label for="textarea-create-edit-description">Description<span
                                                class="text-danger"> *</span></label>
                                        <textarea id="textarea-create-edit-description" class="form-control"
                                            name="description" rows="4" placeholder="Pet description"></textarea>
                                        <div class="invalid-feedback " id="description-invalid-feedback"></div>
                                    </div>
                                </form>
                            </div>
                            <div class=" modal-footer">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                                <button id="btn-create" onclick="createNewPetModal()" type="button"
                                    class="btn btn-success">Create</button>
                                <button id="btn-edit" onclick="editPet(this)" type="button"
                                    class="btn btn-edit-css">Edit</button>
                            </div>
                        </div>

                    </div>
                </div>
        </div>
    </div>
    <!-- CONFIRM DELETE PET  -->
    <div class="modal modal-delete" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-sm" role="document">
            <div class="modal-content bg-danger">
                <div class="modal-header modal-header-css d-flex justify-content-center">
                    <h5 class="modal-title">
                        <i class="fa-regular fa-circle-xmark circle-mark-css text-light"></i>
                    </h5>
                </div>
                <div class="modal-body modal-body-css text-center">
                    <p>Are you sure you want to delete this pet?</p>
                </div>
                <div class="modal-footer modal-footer-css d-flex justify-content-center">
                    <button id="btn-delete-cancel" type="button" class="btn btn-secondary text-light btn-outline-light"
                        data-dismiss="modal">Cancel</button>
                    <button id="btn-confirm" type="button" class="btn text-light btn-outline-light">Delete</button>
                </div>
            </div>
        </div>
    </div>
    </section>
    <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
    <footer class="main-footer">
        <div class="float-right d-none d-sm-block">
            <b>Version</b> 3.2.0
        </div>
        <strong>Copyright &copy; 2023 <a href="/">PucciMart</a>.</strong> All rights
        reserved.
    </footer>

    </div>
    <!-- ./wrapper -->

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>

    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>

    <!-- DataTables  & Plugins -->
    <script src="plugins/datatables/jquery.dataTables.min.js"></script>
    <script src="plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
    <script src="plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
    <script src="plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
    <script src="plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
    <script src="plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
    <script src="plugins/jszip/jszip.min.js"></script>
    <script src="plugins/pdfmake/pdfmake.min.js"></script>
    <script src="plugins/pdfmake/vfs_fonts.js"></script>
    <script src="plugins/datatables-buttons/js/buttons.html5.min.js"></script>
    <script src="plugins/datatables-buttons/js/buttons.print.min.js"></script>
    <script src="plugins/datatables-buttons/js/buttons.colVis.min.js"></script>

    <!-- Moment -->
    <script src="plugins/moment/moment.min.js"></script>

    <!-- Tempusdominus Bootstrap 4 -->
    <script src="plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js"></script>

    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.min.js"></script>

    <script src="admin.js"></script>
</body>

</html>